Anonymous Login
2019-06-24 13:16 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000878v4.0 Release (Planning)Cosmetic/UI Issuespublic2016-12-29 10:16
ReporterFvD 
Assigned Tocaseydk 
PrioritynormalSeveritytrivialReproducibilityalways
StatusacknowledgedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version4.0 
Summary0000878: Decrease design clutter on the login page
DescriptionDecrease design clutter on the login page (also for more flexible customization), put "powered by" + link in text in the footer.

At this moment, just changing the logo with a company logo is far from enough. A clean login page makes it much easier to customize web2project for a new company setup.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002139

caseydk (administrator)

Can you describe some specific itemsto change here?

~0002157

FvD (reporter)

------- Multiple ICO files -------
/style/web2project/favicon.ico - Size 32x24

/style/web2project/w2p_icon.ico - Size 32x24

/style/web2project/images/w2p_icon.ico - Size 32x24

/style/web2project/images/w2p_icon.ico - Size 32x24

/style/web2project/images/icons/w2p_icon.gif - Size 32x24

/style/web2project/images/icons/w2p.gif - Size 32x24

Keep only two names: favicon.ico and company_icon.ico

If there is no technical reason to masquerade an .ico file as a .gif then don't (see below: issues with extensions), if there is then rename to : company_icon.gif and give technical instructions to create them as ico, but rename to .gif.

Are all these locations required? If not then reduce numbers.
 
------- the Company Logo files -------
/style/web2project/images/w2p_logo.jpg - Size 550x125
-> Rename to company_logo_550x125.jpg

/style/web2project/images/modules/public/public.png - Size 64x64
-> rename to company_public_64x64

/style/web2project/images/title.jpg - Size 123x28
-> Rename to company_title_123x28

------- Issues found with picture extensions -------
/style/web2project/images/w2p_logo.jpg
-> the extension is not correct, this is not a jpg image, but in PNG format.

/style/web2project/images/icons/w2p_icon.gif
-> the extension is not correct, this is not a jpg image, but in ICO format.

/style/web2project/images/icons/w2p.gif
-> the extension is not correct, this is not a jpg image, but in ICO format.

~0002158

FvD (reporter)

The design clutter I referred to is in the header of the login page. If you remove:

<td style="background:url(./style/web2project/images/logo_bkgd.jpg)"> </td>

or rename it to company_logo_bkgrd.jp and make its position clear in the documentation then we mere mortal users can find it and take it out, or change colour/design as required.

~0003371

caseydk (administrator)

A bunch of the clutter is gone but not all of it.

In the meantime, check out the Bootstrap theme:
https://github.com/web2project/style-bootstrap

I'd like to roll it into core for v4.0

~0003638

caseydk (administrator)

The login screen has been reworked in v4.0 to be much simpler and cleaner. All graphics are removed too.

~0003836

caseydk (administrator)


I'm changing this issue to acknowledged.

While it's resolved in the v4.0 development branch. That is going to be reviewed commit by commit and merged into a new development branch over the next couple months.
+Notes

-Issue History
Date Modified Username Field Change
2011-07-10 04:40 FvD New Issue
2011-08-09 13:08 caseydk Note Added: 0002139
2011-08-09 13:08 caseydk Status new => feedback
2011-08-21 09:50 FvD Note Added: 0002157
2011-08-21 09:53 FvD Note Added: 0002158
2014-05-20 20:49 caseydk Note Added: 0003371
2014-05-22 19:54 caseydk Category General => Cosmetic/UI Issues
2014-08-31 22:17 caseydk Project Pending Requests => v4.0 Release (Planning)
2014-08-31 22:18 caseydk Project v4.0 Release (Planning) => Third-party Modules
2014-08-31 22:18 caseydk Category Cosmetic/UI Issues => General
2014-08-31 22:18 caseydk Project Third-party Modules => v4.0 Release (Planning)
2014-08-31 22:19 caseydk Note Added: 0003638
2014-08-31 22:19 caseydk Status feedback => resolved
2014-08-31 22:19 caseydk Fixed in Version => 4.0
2014-08-31 22:19 caseydk Resolution open => fixed
2014-08-31 22:19 caseydk Assigned To => caseydk
2014-09-06 14:21 caseydk Category General => Cosmetic/UI Issues
2014-09-06 14:21 caseydk Target Version => 4.0
2016-12-29 10:16 caseydk Status resolved => acknowledged
2016-12-29 10:16 caseydk Note Added: 0003836
+Issue History